#   DrCr: Web-based double-entry bookkeeping framework
#   Copyright (C) 2022–2023  Lee Yingtong Li (RunasSudo)
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU Affero General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU Affero General Public License for more details.
#
#   You should have received a copy of the GNU Affero General Public License
#   along with this program.  If not, see <https://www.gnu.org/licenses/>.

from ..database import db
from ..models import Amount

class BalanceAssertion(db.Model):
	__tablename__ = 'balance_assertions'
	
	id = db.Column(db.Integer, primary_key=True)
	
	dt = db.Column(db.DateTime)
	description = db.Column(db.String)
	account = db.Column(db.String)
	quantity = db.Column(db.Integer)
	commodity = db.Column(db.String)
	
	def balance(self):
		return Amount(self.quantity, self.commodity)
